SPIF(4)

NAME
spif - SBus (spiffy) Serial/Parallel Interface

SYNOPSIS
spif* at sbus?
stty* at spif?
sbpp* at spif?

DESCRIPTION
The spif driver provides support for the Sun Serial/Parallel Interface card (Sun part number 501-1931) based around the Cirrus Logic CD180 octal serial controller and the Cirrus Logic PPC2 parallel port controller.

The device minor numbers for this driver are encoded as follows:

        +---+---+---+---+---+---+---+---+
        | 7 | 6 | 5 | 4 | 3 | 2 | 1 | 0 |
        +---+---+---+---+---+---+---+---+
          |   |   |   |   |   |   |   |
          |   |   |   |   |   +---+---+---> port number
          |   |   |   |   |
          |   |   |   |   +---------------> unused
          |   |   |   |
          |   |   |   +-------------------> dial-out (on tty ports)
          |   |   |
          |   |   +-----------------------> unused
          |   |
          +---+---------------------------> card number

Up to four cards are supported in the system.

Each of the serial ports has an 8 byte FIFO for receive and transmit as well as automatic hardware (RTS/CTS) flow control.

FILES
/dev/tty[jkl][0-7]
    Serial ports
/dev/sbpp[0-3]
    Parallel ports

DIAGNOSTICS

spif%d: ccr timeout A timeout occurred while writing to one of the CD180 registers.

stty%d-%d: ring overflow Incoming characters were discarded because the application in control of the device did not read the input fast enough.

SEE ALSO
intro(4), sbus(4), tty(4)

HISTORY
The spif driver was first supported in OpenBSD 3.1.

AUTHORS
-nosplit The driver was written by Jason Wright <jason@thought.net>, and is heavily based on the magma(4) driver written by Iain Hibbert <plunky@skate.demon.co.uk>.

TODO
The parallel port is not supported yet.

Dial-out (cua) devices are not yet supported.